import { LinearScaleOptions } from 'chart.js';
import { BaseChartBuilder } from '../base-chart-builder';
import { AxisOverflowDirection } from '../models/axis-overflow-direction';
import { AxisOverflowType } from '../models/axis-overflow-type';
import { AxisPosition } from '../models/axis-position';
import { CartesianTitleBuilder } from './cartesian-title-builder';
export declare class CartesianScaleBuilder<TFactory extends BaseChartBuilder<TFactory, TData>, TData> {
    scale: LinearScaleOptions;
    constructor(builder: TFactory, scale: LinearScaleOptions);
    stacked(): CartesianScaleBuilder<TFactory, TData>;
    hideGridlines(): CartesianScaleBuilder<TFactory, TData>;
    at(position: AxisPosition): CartesianScaleBuilder<TFactory, TData>;
    title(label: string): CartesianTitleBuilder<TFactory, TData>;
    range(min?: number, max?: number): CartesianScaleBuilder<TFactory, TData>;
    stepSize(size: number): CartesianScaleBuilder<TFactory, TData>;
    setYAxisOverflow(type: AxisOverflowType, direction: AxisOverflowDirection, value: number): CartesianScaleBuilder<TFactory, TData>;
    autoSkip(padding?: number): CartesianScaleBuilder<TFactory, TData>;
}
